commit:     eb5a241ed86107aa0b3b9da50611510387a985d0
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 10 00:33:14 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Fri Mar 12 22:28:13 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb5a241e

app-dicts/aspell-nds: new package

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 app-dicts/aspell-nds/Manifest                 |  1 +
 app-dicts/aspell-nds/aspell-nds-0.01.0.ebuild | 21 +++++++++++++++++++++
 app-dicts/aspell-nds/metadata.xml             |  9 +++++++++
 3 files changed, 31 insertions(+)

diff --git a/app-dicts/aspell-nds/Manifest b/app-dicts/aspell-nds/Manifest
new file mode 100644
index 00000000000..5f85f648390
--- /dev/null
+++ b/app-dicts/aspell-nds/Manifest
@@ -0,0 +1 @@
+DIST aspell6-nds-0.01-0.tar.bz2 32658 BLAKE2B 
dc7325ad51c17683aeb8c3c67ebe26887cbf7459314a961ad90bc6558848bb4c5f701417b119721dbd752fd0374249681bc147074c64db079c7a7bb31688dcfa
 SHA512 
88ef6f6773e8699a5200ff8ae3ef9935fee21958fa35868bc10d37c22b55ea721ad9c59ab4843fdc6fedbf5a9ed10c7ea144548713742b8094b99c3c46a552a5

diff --git a/app-dicts/aspell-nds/aspell-nds-0.01.0.ebuild 
b/app-dicts/aspell-nds/aspell-nds-0.01.0.ebuild
new file mode 100644
index 00000000000..c4ed5844997
--- /dev/null
+++ b/app-dicts/aspell-nds/aspell-nds-0.01.0.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ASPELL_LANG="Lower Saxony Plattdüütsch"
+ASPELL_VERSION=6
+
+inherit aspell-dict-r1
+
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+
+src_prepare() {
+       default
+
+       # Must be renamed, as it triggers otherwise a file collision with 
app-dicts/aspell-hi.
+       sed -e 's/iso-8859-15/iso-8859-15-nds/g' -i Makefile.pre || die
+       mv iso-8859-15.cmap iso-8859-15-nds.cmap || die
+       mv iso-8859-15.cset iso-8859-15-nds.cset || die
+}

diff --git a/app-dicts/aspell-nds/metadata.xml 
b/app-dicts/aspell-nds/metadata.xml
new file mode 100644
index 00000000000..debde3ef6ae
--- /dev/null
+++ b/app-dicts/aspell-nds/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Conrad Kostecki</name>
+       </maintainer>
+       <stabilize-allarches/>
+</pkgmetadata>

Reply via email to